hifrog - Bug #5015

SAT is reported instead of UNSAT
20/04/2017 12:35 - Sepideh Asadi

Status: Closed Start date: 20/04/2017
Priority: Normal Due date:

Assignee: Sepideh Asadi % Done: 90%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

/hifrog --claim 1 --theoref --bitwidth 16 --unwind 10 ~/dev/hi-bench/challenge-bench/sv-comp16/c/bitvector/gcd_1_true-unreach-call.c

Weak statement encodings (61) found
Weak statement encodings (2) found

Obtained counter-examples are refined
(63 / 69 expressions bit-blasted)
ASSERTION DOES NOT HOLD

VERIFICATION FAILED
TOTAL TIME FOR CHECKING THIS CLAIM: 199.9
#X: Done

History

#1 - 03/05/2017 00:27 - Karine Even Mendoza

Same for
/hifrog --claim 1 --unwind 5 --theoref --bitwidth 32 byte_add_1_true-unreach-call.c
./hifrog --claim 1 --unwind 5 --theoref --bitwidth 32 byte_add_2_true-unreach-call.c

#2 - 09/06/2017 19:37 - Karine Even Mendoza
- Status changed from New to Feedback

- Assignee set to Sepideh Asadi

- % Done changed from 0 to 90

Add type-byte-constraints

#3 - 16/06/2017 18:14 - Karine Even Mendoza
- Status changed from Feedback to Closed
